Hi all,

unfortunately nmap 5.51 in Metasploit 3.8.0 on BT5 Gnome 64bit running inside VMWare Fusion is not working correctly:

msf > db_status
[*] postgresql connected to msf3

msf > db_nmap -A 192.168.1.0/24
[*] Nmap: Starting Nmap 5.51SVN ( http://nmap.org ) at 2011-05-23 12:44 CEST[*] Nmap: 'nmap: relocation error: /lib/libnss_files.so.2: symbol __rawmemchr, version GLIBC_2.2.5 not defined in file libc.so.6 with link time reference'

msf > nmap -A 192.168.1.0/24
[*] exec: nmap -A 192.168.1.0/24

Starting Nmap 5.51SVN ( http://nmap.org ) at 2011-05-23 12:46 CEST

nmap: relocation error: /lib/libnss_files.so.2: symbol __rawmemchr, version GLIBC_2.2.5 not defined in file libc.so.6 with link time reference

msf > exit

root@bt:~# nmap -A 192.168.178.0/24
Starting Nmap 5.51 ( http://nmap.org ) at 2011-05-23 12:47 CEST

*** Here nmap is working ok! ***

Tried to fix it, but with no success:

root@bt:~# which nmap
/usr/local/bin/nmap
root@bt:~# find / -name nmap -type f
/opt/framework3/bin/nmap
/usr/local/bin/nmap
root@bt:~# cp /opt/framework3/bin/nmap /opt/framework3/bin/nmap.old
root@bt:~# cp /usr/local/bin/nmap /opt/framework3/bin/nmap

msf > db_nmap -A 192.168.178.0/24
[*] Nmap: 'nmap: /opt/framework3/lib/libssl.so.0.9.8: no version information available (required by nmap)'
[*] Nmap: 'nmap: /opt/framework3/lib/libcrypto.so.0.9.8: no version information available (required by nmap)'
[*] Nmap: Starting Nmap 5.51 ( http://nmap.org ) at 2011-05-23 12:55 CEST
[*] Nmap: 'NSE: failed to initialize the script engine:'
[*] Nmap: '/opt/framework3/share/nmap/nse_main.lua:543: attempt to call field 'fetchscript' (a nil value)'
[*] Nmap: 'stack traceback:'
[*] Nmap: '/opt/framework3/share/nmap/nse_main.lua:543: in function 'Entry''
[*] Nmap: '/opt/framework3/share/nmap/scripts/script.db:7: in function 'db_closure''
[*] Nmap: '/opt/framework3/share/nmap/nse_main.lua:566: in function 'get_chosen_scripts''
[*] Nmap: '/opt/framework3/share/nmap/nse_main.lua:1006: in main chunk'
[*] Nmap: '[C]: ?'
[*] Nmap: 'QUITTING!'

msf > nmap -A 192.168.178.0/24[*] exec: nmap -A 192.168.178.0/24

nmap: /opt/framework3/lib/libssl.so.0.9.8: no version information available (required by nmap)
nmap: /opt/framework3/lib/libcrypto.so.0.9.8: no version information available (required by nmap)
Starting Nmap 5.51 ( http://nmap.org ) at 2011-05-23 12:55 CEST
NSE: failed to initialize the script engine:
/opt/framework3/share/nmap/nse_main.lua:543: attempt to call field 'fetchscript' (a nil value)
stack traceback:
/opt/framework3/share/nmap/nse_main.lua:543: in function 'Entry'
/opt/framework3/share/nmap/scripts/script.db:7: in function 'db_closure'
/opt/framework3/share/nmap/nse_main.lua:566: in function 'get_chosen_scripts'
/opt/framework3/share/nmap/nse_main.lua:1006: in main chunk
[C]: ?

QUITTING!

Any ideas?

Cheers & thank you,
Roland